Subject: Re: [PATCH 2/4] compat/regex: silence `make sparse` warning

From: Danh Doan <[email-masked]>
Date: Fri, 24 Apr 2020 08:04:25 +0700

On 2020-04-24 01:51:40+0100, Ramsay Jones <[email-masked]> wrote:
> 
> 
> On 23/04/2020 14:47, Đoàn Trần Công Danh wrote:
> > * alloca: somewhere later in the code, we indirectly include alloca.h
> > which will define alloca again, include it prior to define alloca in
> > order to not define it against.
> > 
> > * Copy all attributes from the header to source file, and move the
> >   attributes prior to function name. cgcc is very picky on the position
> >   of attribute.
> 
> This patch is no longer needed (iff you use a bleeding edge version of
> sparse), since this was fixed in commit 172f6a98 ("let function definition inherit prototype attributes", 2019-11-19).
> 
>   $ git describe 172f6a98
>   v0.6.1-37-g172f6a98
>   $ 
> 
> Ah, so this fix is not in any released version of sparse (v0.6.1 is the
> current release - I always build/run the tip of the 'master' branch from
> the sparse git repo).

Correct, when I saw your bleeding edge, I check my sparse version. It
says 0.6.1

> I starred at this warning for years (on cygwin, I don't build with NO_REGEX
> on Linux), but I didn't send a patch for it because it was a sparse fault.

It's sparse' fault, of course, I talked about its pickiness in the
commit message after all.

But, we still need the alloca part of this patch.

-- 
Danh